# 官方文档
# https://hub.docker.com/r/0nlylty/dockercopilot
# 该镜像主要是针对于绿联，极空间这两国产NAS系统而定制的docker管理工具，其他NAS系统也可以安装部署，支持一键更新docker容器
# 支持x86，arm64设备

---
version: "3"
# 最后编辑时间：2024-04-24
services:
  dockercopilot:
    image: 0nlylty/dockercopilot:UGREEN-DEV
    # 镜像地址，tag有UGREEN，UGREEN-DEV，ZSPACE，ZSPACE-DEV
    container_name: dockercopilot
    # 容器名字
    hostname: dockercopilot
    # 主机名
    privileged: true
    # 特权模式，赋予容器几乎与主机相同的权限
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      # 用于管理docker，必须
      - /volume1/docker/dockercopilot:/data
      # 配置文件目录
    environment:
      - secretKey=dokcer123
      # 密码，需要大于八位且非纯数字，预设为docker123，请自行修改
      - DOCKER_HOST=unix:///var/run/docker.sock
      # 不动，照抄，必须
      - hubURL=https://dockerpull.com
      # 使用dockerhub加速源，以便于更好拉取镜像，可自行替换
    # network_mode: bridge
    network_mode: host
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # ports:
      # - 12712:12712/tcp
      # WebUI 端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3